local gearT = {
    [-1] = "R",
    [0] = "N",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8"
    
}

local ledColor = rgbm(255/255, 255/255,255/255, 255/255) 


function update(dt)
    display.text({ text = math.floor(car.rpm), pos = vec2(1245, 1150), letter = vec2(60, 120), font = 'e92_big', color =ledColor, alignment =0.5, width = 251, spacing = 3 })
    display.text({ text = string.format("%.1f", car.turboBoost), pos = vec2(2025, 1160), letter = vec2(50, 100), font = 'e92_big', color = ledColor, alignment =1, width = 151, spacing = -15 })
    display.text({ text = string.format("%.0f",car.waterTemperature), pos = vec2(580, 1172.4), letter = vec2(50, 100), font = 'e92_big', color = ledColor, alignment =-0.5, width = 51, spacing =0 })
    display.text({ text = gearT[car.gear], pos = vec2(1720, 300), letter = vec2(120, 240), font = 'e92_big', color = ledColor, alignment =0.5, width = 0, spacing = 0 })
    display.text({ text = math.floor(car.fuel), pos = vec2(778, 398), letter = vec2(60, 120), font = 'e92_big', color = ledColor, alignment =0.5, width = 251, spacing = 3 })
    display.text({ text = math.floor(car.oilTemperature), pos = vec2(370, 550.8), letter = vec2(30, 60), font = 'e92_big', color = ledColor, alignment =0.5, width = 251, spacing = 3 })
 end




  
   